## ucspi-unix 0.36

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

all: programs installer instcheck instshow

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

compile: conf-cc
	( echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -1 conf-cc` '-I. -o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

conf_bin.c: conf-bin
	head -1 conf-bin | \
	  sed -e 's/"/\\"/g' \
	      -e 's/^/const char conf_bin[] = "/' \
	      -e 's/$$/";/' >conf_bin.c

conf_man.c: conf-man
	head -1 conf-man | \
	  sed -e 's/"/\\"/g' \
	      -e 's/^/const char conf_man[] = "/' \
	      -e 's/$$/";/' >conf_man.c

env.o: compile env.c
	./compile env.c

installer: load insthier.o
	./load insthier -linstaller
	mv insthier installer

instcheck: load insthier.o
	./load insthier -linstcheck
	mv insthier instcheck

insthier.o: compile insthier.c conf_bin.c conf_man.c
	./compile insthier.c

instshow: load insthier.o
	./load insthier -linstshow
	mv insthier instshow

load: conf-ld
	( echo '#!/bin/sh';\
	  echo 'main="$$1"; shift';\
	  echo exec `head -1 conf-ld` '-o "$$main" "$$main.o" $${1+"$$@"}' -lsysdeps;\
	) >load
	chmod 755 load

programs: unixclient unixserver unixcat

socket.lib: compile load trylib.c
	( ( ./compile trylib.c && ./load trylib -lsocket -lnsl ) >/dev/null 2>&1 \
	  && echo -lsocket -lnsl || exit 0 ) >socket.lib
	rm -f trylib.o trylib

unixcat: warn-auto.sh unixcat.sh
	cat warn-auto.sh unixcat.sh >unixcat
	chmod 755 unixcat

unixclient: load unixclient.o env.o utoa.o socket.lib
	./load unixclient env.o utoa.o `cat socket.lib` 

unixclient.o: compile unixclient.c
	./compile unixclient.c

unixserver: load unixserver.o env.o utoa.o socket.lib
	./load unixserver env.o utoa.o `cat socket.lib` 

unixserver.o: compile unixserver.c
	./compile unixserver.c

utoa.o: compile utoa.c
	./compile utoa.c
