=== debian/changelog ===
ucspi-unix (1.0-6) unstable; urgency=medium

  * Add the prototypes patch to fix the FTBFS with GCC 15.
    Closes: #1098026
  * Declare compliance with Policy 4.7.2 with no changes.
  * Add the year 2025 to my debian/* copyright notice.
  * Drop support for building with dietlibc. Closes: #1055189
  * Convert the watch file to version 5 of the format and
    use uscan variable substitutions.
  * Salsa CI:
    - do not try to build for experimental
    - switch to debian/salsa-ci.yml
    - enable more tests, tighten some restrictions

 -- Peter Pentchev <roam@debian.org>  Tue, 23 Sep 2025 17:36:07 +0300

ucspi-unix (1.0-5) unstable; urgency=medium

  * Handle mode_t separately from uid_t and gid_t in
    the strtoul-int-gid patch now renamed to strtoul-int-uid-mode.
    Fixes the FTBFS on hppa.
  * Add the chown-if-needed patch to fix the FTBFS on sparc64.
    Closes: #1089829

 -- Peter Pentchev <roam@debian.org>  Fri, 13 Dec 2024 13:51:50 +0200

ucspi-unix (1.0-4) unstable; urgency=medium

  * Stop using dh-buildinfo, dpkg does that by itself. Closes: #1088390
  * Declare compliance with Policy 4.7.0 with no changes.
  * Switch to debhelper compat level 14:
    - use the X-DH-Compat source control field
    - use the package name prefix for debian/manpages
    - let debhelper handle some dependencies automatically
  * Minor refreshing of the autopkgtest Python test suite:
    - use Ruff 0.8.3, drop some obsolete overrides, add some new ones
    - reorganize the Ruff config files
    - add a pyupgrade test environment to the tox.ini file, never to be
      executed automatically
  * Add the strtoul-errno patch to catch overflow errors. Closes: #1089807
  * Add the strtoul-max and strtoul-int-gid patches to fix FTBFS on i386.
    Closes: #1089806, #1089808
  * Add the Vcs-* headers to the source control stanza.
  * Drop the unused libbg-dev build dependency.

 -- Peter Pentchev <roam@debian.org>  Fri, 13 Dec 2024 00:56:21 +0200

ucspi-unix (1.0-3) unstable; urgency=medium

  * Minimize the upstream OpenPGP signing key.
  * Use HTTPS URLs for various upstream sites.
  * Add the year 2024 to my debian/* copyright notice.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.
  * Use dh-package-notes to record ELF package metadata.
  * autopkgtest internal testing framework:
    - tox.ini: add tags for running tox-stages
    - do not pass the python_version option to mypy, let it check against
      the Python interpreter that it is being run with
    - use hatchling for the PEP517 build
    - convert tox.ini to the Tox 4.x format
    - use Ruff instead of black, flake8, and pylint
    - reformat and refactor the source code according to Ruff's suggestions

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Feb 2024 10:56:25 +0200

ucspi-unix (1.0-2) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add a Gitlab CI config file.

  [ Peter Pentchev ]
  * New maintainer. Closes: #983804
  * Only run the dietlibc build if possible. Closes: #991774
  * Add my debian/* copyright notice.
  * Bump the debhelper compat level from 11 to 13 with no changes.
  * Add an EditorConfig definitions file.
  * Add the line-buffered patch for unixserver to make sure that
    parent processes and log processors see each line as it comes.
  * Run a custom test suite at build time and as an autopkgtest.
  * Drop the versions in the dh-buildinfo and dietlibc-dev build
    dependencies, the constraints were satisfied even in oldstable.
  * Correct the Bug-Debian field of the fix-getopt-string patch.
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add Rules-Requires-Root: no to the source control stanza.
  * Explicitly state dh-sequence-single-binary.

 -- Peter Pentchev <roam@debian.org>  Thu, 05 Jan 2023 17:12:42 +0200

ucspi-unix (1.0-1) unstable; urgency=medium

  * New maintainer (Closes: #907084)
  * Convert packaging to debhelper
  * Fix whitespace errors in `debian/changelog'
  * Write `debian/watch' file
  * Add upstream signing key
  * Update standards version to 4.2.1 (no changes needed)
  * Remove unneed link from package description
  * Convert `debian/copyright' to dep-5 format
  * Record build environment with `dh-buildinfo'
  * Simplify rebuilding with diet libc
  * Fix command line parsing of unixserver (Closes: #778630)

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 28 Nov 2018 04:26:16 +0000

ucspi-unix (1.0-0.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload
  * New upstream version (Closes: #884405)
    - d/rules: manually install binaries and manpages, because
      bglibs install features are dropped now
    - add groff/man-db dependencies,
      needed for (non-installed for now html pages)
  * Switch to quilt format
  * Add homepage field, to please lintian

  [ Chris Lamb ]
  * Make build reproducible by removing the timestamps from zipped manpages.
    (Closes: #777019)

  [ Valerie R Young ]
  * Make build reproducible by sorting the order of md5sums files.
    (Closes: #847037)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Apr 2018 16:26:19 +0200

ucspi-unix (0.36-4) unstable; urgency=medium

  * debian/rules: add -D_GNU_SOURCE to CFLAGS (thx peter green, closes:
    #527665).
  * debian/control: Standards-Version: 3.8.2.0.
  * debian/control: Build-Depends: libbg-dev instead of bglibs-dev (has
    been renamed).
  * debian/rules: do not ignore 'make clean' error.
  * debian/copyright: properly refer to common-licenses/GPL-2, not GPL.

 -- Gerrit Pape <pape@smarden.org>  Sun, 28 Jun 2009 23:19:38 +0000

ucspi-unix (0.36-3) unstable; urgency=low

  * debian/implicit: update to revision 1.10.
  * debian/rules: DEB_BUILD_OPTIONS=diet to optionally build with the diet
    libc instead of glibc; cleanup.
  * debian/README.Debian.diet; new: how to build package with the diet
    libc.
  * debian/ucspi-unix.docs: add debian/README.Debian.diet.


