=== debian/control ===
Source: ucspi-unix
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>= 13.15.2~),
 dh-package-notes,
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 groff,
 man-db,
 python3 <!nocheck>,
 python3-utf8-locale <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://untroubled.org/ucspi-unix
X-DH-Compat: 14
Vcs-Browser: https://salsa.debian.org/debian/ucspi-unix/
Vcs-Git: https://salsa.debian.org/debian/ucspi-unix.git

Package: ucspi-unix
Architecture: any
Description: UNIX-domain socket client-server command-line tools
 unixclient and unixserver are command-line tools for building UNIX
 domain client-server applications.  unixclient connects to a UNIX domain
 socket and runs a program of your choice.  unixserver creates a UNIX
 domain socket, waits for incoming connections and, for each connection,
 runs a program of your choice.
 .
 unixclient and unixserver conform to UCSPI, the UNIX Client-Server
 Program Interface, using UNIX domain sockets.  UCSPI tools are available
 for several different networks.
 .
 See http://cr.yp.to/proto/ucspi.txt for more information on UCSPI.
