=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk
export CFLAGS  += $(shell getconf LFS_CFLAGS)
export LDFLAGS += $(shell getconf LFS_LDFLAGS)
export prefix = $(CURDIR)/debian/ucspi-unix/usr
export mandir = share/man

include /usr/share/debhelper/dh_package_notes/package-notes.mk

%:
	dh $@

override_dh_auto_configure:
	echo '$(CC) $(CFLAGS) $(CPPFLAGS)' > conf-cc
	echo '$(CC) $(LDFLAGS)' > conf-ld

override_dh_auto_test:
	env PYTHONPATH='$(CURDIR)/debian/tests/python' python3 -B -u -m ucspi_unix_test -d '$(CURDIR)' -p unix
