=== debian/watch ===
Version: 5

Source: https://untroubled.org/ucspi-unix/
Matching-Pattern: (?:|.*/)@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto
